import { SkinTones } from '../data/skinToneVariations';
import { EmojiClickData } from '../types/exposedTypes';
import { CategoriesConfig } from './categoryConfig';
export declare enum EmojiStyle {
    NATIVE = "native",
    APPLE = "apple",
    TWITTER = "twitter",
    GOOGLE = "google",
    FACEBOOK = "facebook"
}
export declare enum Theme {
    DARK = "dark",
    LIGHT = "light",
    AUTO = "auto"
}
export declare function mergeConfig(userConfig?: PickerConfig): {
    categories: CategoriesConfig;
    searchPlaceHolder: string;
    defaultSkinTone: SkinTones;
    skinTonesDisabled: boolean;
    autoFocusSearch: boolean;
    emojiStyle: EmojiStyle;
    onEmojiClick: (event: MouseEvent, emoji: EmojiClickData) => void;
    showPreview: boolean;
    theme: Theme;
};
export declare function basePickerConfig(): PickerConfigInternal;
export declare type PickerConfigInternal = {
    searchPlaceHolder: string;
    defaultSkinTone: SkinTones;
    skinTonesDisabled: boolean;
    autoFocusSearch: boolean;
    emojiStyle: EmojiStyle;
    categories: CategoriesConfig;
    onEmojiClick: (event: MouseEvent, emoji: EmojiClickData) => void;
    showPreview: boolean;
    theme: Theme;
};
export declare type PickerConfig = Partial<PickerConfigInternal>;
